<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../../style.css');
        @import url('../../../../../../../roundedcorners.css');
        @import url('../../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient Cache 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient Cache 4.2.3: org.apache.http.impl.client.cache.memcached.testThrowsExceptionOnUpdateIfCannotHashStorageKey');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient Cache 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:21:16 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestMemcachedHttpCacheStorage.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestMemcachedHttpCacheStorage_testThrowsExceptionOnUpdateIfCannotHashStorageKey_ci.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../../org/apache/http/impl/client/cache/memcached/TestMemcachedHttpCacheStorage.html?line=566#src-566" >testThrowsExceptionOnUpdateIfCannotHashStorageKey</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">3</span>
    <span class="testResultFailure">FAIL</span>
              </td>
    <td class="graphPercent alignTop">
        14 Jan 22:52:24
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText">Expected&nbsp;one&nbsp;of&nbsp;the&nbsp;following&nbsp;exceptions&nbsp;to&nbsp;be&nbsp;thrown&nbsp;from&nbsp;test&nbsp;method&nbsp;testThrowsExceptionOnUpdateIfCannotHashStorageKey:&nbsp;[HttpCacheUpdateException]</div>
        <div class="errorMessage">  <div>java.lang.RuntimeException: Expected one of the following exceptions to be thrown from test method testThrowsExceptionOnUpdateIfCannotHashStorageKey: [HttpCacheUpdateException]</div><div>	at <a href="../../../../../../../org/apache/http/impl/client/cache/memcached/TestMemcachedHttpCacheStorage.html?line=567#src-567">org.apache.http.impl.client.cache.memcached.TestMemcachedHttpCacheStorage.testThrowsExceptionOnUpdateIfCannotHashStorageKey(TestMemcachedHttpCacheStorage.java:567)</a></div><div> at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)</div><div> at org.apache.maven.surefire.junit4.JUnit4TestSet.execute(JUnit4TestSet.java:53)</div><div> at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:123)</div><div> at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:104)</div><div> at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:164)</div><div> at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:110)</div><div> at org.apache.maven.surefire.booter.SurefireStarter.invokeProvider(SurefireStarter.java:172)</div><div> at org.apache.maven.surefire.booter.SurefireStarter.runSuitesInProcessWhenForked(SurefireStarter.java:104)</div><div> at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:70)</div>  </div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testThrowsExceptionOnUpdateIfCannotHashStorageKey</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.memcached.MemcachedKeyHashingException</span>
            &nbsp;&nbsp;<a             href="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedKeyHashingException.html?id=450#MemcachedKeyHashingException"             title="MemcachedKeyHashingException" name="sl-34">org.apache.http.impl.client.cache.memcached.MemcachedKeyHashingException</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.cache.HttpCacheUpdateException</span>
            &nbsp;&nbsp;<a             href="../../../../../../../org/apache/http/client/cache/HttpCacheUpdateException.html?id=450#HttpCacheUpdateException"             title="HttpCacheUpdateException" name="sl-35">org.apache.http.client.cache.HttpCacheUpdateException</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.client.cache.memcached.MemcachedHttpCacheStorage</span>
            &nbsp;&nbsp;<a             href="../../../../../../../org/apache/http/impl/client/cache/memcached/MemcachedHttpCacheStorage.html?id=450#MemcachedHttpCacheStorage"             title="MemcachedHttpCacheStorage" name="sl-87">org.apache.http.impl.client.cache.memcached.MemcachedHttpCacheStorage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.0877193</span>
            8.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="91.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="8.8% Covered" class="barPositive contribBarPositive" style="width: 8.8%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:21:39 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
